%define upstream_name    File-Spec-Native
%define upstream_version 1.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use native OS implementation of File::Spec from a subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is a stupid hack to make the default the File::Spec manpage
behavior available from a subclass. This can be useful when using another
module that expects a subclass of the File::Spec manpage but you want to
use the current, native OS format (automatically detected by the File::Spec
manpage).

For example: the Path::Class/as_foreign manpage (as of version 0.24) allows
you to translate a the Path::Class manpage object from one OS format to
another. However, there is no way to specify that you want to translate the
path into the current, native OS format without guessing at what that
format is (which may include peeking into '@File::Spec::ISA').

This module '@ISA' the File::Spec manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 25 2011 jquelin <jquelin> 1.3.0-1.mga2
+ Revision: 128720
- update to 1.003

* Thu Jun 30 2011 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 116536
- imported package perl-File-Spec-Native


* Thu Jun 30 2011 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
